package com.daytwentyfour;

import java.util.ArrayList;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

public class DayTwentyFourActivity extends Activity {
	private TextView lblTextViewOne;
	private EditText editText1;
	
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        lblTextViewOne = (TextView) findViewById(R.id.lblTextViewOne);
        lblTextViewOne.setText(R.string.test_one);//
        
        editText1 = (EditText) findViewById(R.id.editText1);
        editText1.setText(R.string.test_one);
        
        Button button1 = (Button) findViewById(R.id.button1);
        button1.setOnClickListener(new OnClickListener() {			
			public void onClick(View v) {
				lblTextViewOne.setText(editText1.getText());
				DatabaseAdapter databaseAdapter = new DatabaseAdapter(getApplicationContext());
				databaseAdapter.open();
				databaseAdapter.createRecord(editText1.getText().toString());
				databaseAdapter.close();
				Log.i("DayTwentyFourActivity", "database done");
			}
		});
        
        Button button2 = (Button) findViewById(R.id.button2);
        button2.setOnClickListener(new OnClickListener() {			
			public void onClick(View v) {				
				DatabaseAdapter databaseAdapter = new DatabaseAdapter(getApplicationContext());
		        databaseAdapter.open();
		        ArrayList<String> records = databaseAdapter.fetchAllRecords();
		        if (records.size() > 0) {
			        editText1.setText(records.get(0));
			        lblTextViewOne.setText(records.get(0));
		        }
		        databaseAdapter.close();
			}
		});
        
        //Create our database by opening it and closing it
        DatabaseAdapter databaseAdapter = new DatabaseAdapter(getApplicationContext());
        databaseAdapter.open();
        databaseAdapter.close();
    }
    
    
    
    
			
}